%global spec_ver 3.0
%global spec_name geronimo-jpa_%{spec_ver}_spec

Name:           geronimo-jpa
Version:        1.1.1
Release:        %mkrel 18
Group:          Development/Java
Summary:        Java persistence API implementation

License:        ASL 2.0
URL:            http://geronimo.apache.org/
# Unfortunately no source release was created in
# http://repo2.maven.org/maven2/org/apache/geronimo/specs/geronimo-jpa_3.0_spec/1.1.1/
# so we do:
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-jpa_3.0_spec-1.1.1
# tar caf geronimo-jpa_3.0_spec-1.1.1.tar.xz geronimo-jpa_3.0_spec-1.1.1
Source0:       %{spec_name}-%{version}.tar.xz

BuildArch:     noarch

# This pulls in all of the required java and maven stuff
BuildRequires:  maven-local
BuildRequires:  geronimo-parent-poms
BuildRequires:  maven-resources-plugin

Provides:       jpa_api = %{spec_ver}
Provides:       javax.persistence = %{spec_ver}


%description
The Java Persistence API is a new programming model under EJB 3.0
specification (JSR220) for the management of persistence and
object/relational mapping with Java EE and Java SE. Geronimo JPA is
one implementation of this specification.


%package javadoc
Summary:   API documentation for %{name}

%description javadoc
%{summary}.

%prep
%setup -q -n %{spec_name}-%{version}

%build
%mvn_file  : %{name}/%{name} %{name} jpa
%mvn_alias : javax.persistence:persistence-api
%mvn_build

%install
%mvn_install

install -d -m 755 %{buildroot}%{_javadir}/javax.persistence/
ln -sf ../%{name}.jar %{buildroot}%{_javadir}/javax.persistence/

%files -f .mfiles
%doc LICENSE.txt NOTICE.txt
%{_javadir}/javax.persistence/

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt NOTICE.txt




%changelog
* Wed Mar 02 2016 neoclust <neoclust> 1.1.1-18.mga6
+ Revision: 981806
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.1.1-17.mga6
+ Revision: 976256
- First rebuild of the java stack
- sync package geronimo-jpa with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-13.mga5
+ Revision: 743268
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Jan 03 2014 dmorgan <dmorgan> 1.1.1-11.mga4
+ Revision: 564113
- Add javax.mail provides and directory

* Thu Dec 19 2013 dmorgan <dmorgan> 1.1.1-10.mga4
+ Revision: 558823
- Build with xmvn

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1.1-9.mga3
+ Revision: 351454
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 dmorgan <dmorgan> 1.1.1-8.mga3
+ Revision: 340132
- Build with maven3

* Thu Apr 28 2011 dmorgan <dmorgan> 1.1.1-6.mga1
+ Revision: 92445
- Rebuild after bootstrapping
- imported package geronimo-jpa


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 30 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.1.1-4
- Add geronimo-parent-poms to Requires

* Mon Jul 26 2010  <sochotnicky@redhat.com> - 1.1.1-3
- Fix whitespace warnings
- Use unversioned Requires on jpackage-utils

* Thu Jul 22 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.1.1-2
- Add jpa.jar symlink
- Change persistance-api maven depmap version to %%{spec_ver}
- Renamed provides to jpa_api

* Tue Jul 20 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.1.1-1
- Initial package
